{
  "format_version": "1.13.0",
  "minecraft:single_block_feature": {
    "description": {
      "identifier": "nicothekid:crystal_x_rose_quartz_cluster_up_x_singleblock"
    },
    "places_block": "nicothekid:rose_quartz_cluster_block",
    "enforce_survivability_rules": true,
    "enforce_placement_rules": false,
    "may_replace": [
      {
        "tags": "query.any_tag('lush_grass')"
      },
      {
        "tags": "query.any_tag('moss_sprouts')"
      },
      "minecraft:air",
      "minecraft:water",
      "minecraft:flowing_water",
      "minecraft:azalea",
      "minecraft:flowering_azalea",
      "minecraft:moss_carpet",
      "minecraft:double_plant",
      "minecraft:tallgrass",
      "minecraft:brown_mushroom",
      "minecraft:red_mushroom",
      "minecraft:glow_lichen",
      "minecraft:sculk_vein",
      "minecraft:vine",
      "minecraft:web"
    ],
    "may_attach_to": {
			"bottom": [
			  {
          "tags": "query.any_tag('custom_stone')"
        },
				"nicothekid:quartz_crystal_block",
				"nicothekid:rose_quartz_crystal_block",
				"minecraft:amethyst_block",
				"minecraft:deepslate",
				"minecraft:stone"
			]
		}
  }
}